> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stratumn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download a file

> Downloads a file from a given trace by id and digest



## OpenAPI

````yaml api-reference/open-api-v2.json get /v2/traces/{traceId}/file/{digest}
openapi: 3.0.0
info:
  title: Stratumn API
  description: Interact with Stratumn using simple REST endpoints
  version: 2.0.0
  contact: {}
servers:
  - url: http://api.local.stratumn.com:3000
    description: Local development server
  - url: https://api.stratumn.com
    description: Stratumn Production Server
  - url: https://api.us.stratumn.com
    description: Stratumn US Production Server
  - url: https://api.preprod.stratumn.com
    description: Stratumn Preprod Server
  - url: https://api.preprod.us.stratumn.com
    description: Stratumn US Preprod Server
security: []
tags: []
paths:
  /v2/traces/{traceId}/file/{digest}:
    get:
      tags:
        - Trace
      summary: Download a file
      description: Downloads a file from a given trace by id and digest
      operationId: TraceV2Controller_getFileFromTrace
      parameters:
        - name: traceId
          required: true
          in: path
          description: The UUID of the trace
          schema:
            type: string
        - name: digest
          required: true
          in: path
          description: The digest
          schema:
            type: string
      responses:
        '200':
          description: The file downloaded from the given trace
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````